#!/bin/bash

version_name=$(dmidecode | grep -A9 "System Information" | grep "Version" | awk -F: '{print $2}' | awk '$1=$1')
system_product_name=$(dmidecode -s system-product-name)
if [[ $version_name =~ ^[Nn]([6-8])([0-9])[Zz] ]]; then
   echo 1
elif [[ $system_product_name =~ "KaiTian X1 G1d" ]] ; then
   echo 2
else
   echo 0
fi
